Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.jms.sampler
Class MessageAdmin

    java.lang.Object
      org.apache.jmeter.protocol.jms.sampler.MessageAdmin

    public class MessageAdmin

extends Object

Administration of messages.

Method Summary
`javax.jms.Message` | `get(String id)` Get the reply message.
`static MessageAdmin` | `getAdmin()`
`void` | `putReply(String id, javax.jms.Message reply)`
`void` | `putRequest(String id, javax.jms.Message request, CountDownLatch latch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAdmin

    public static MessageAdmin getAdmin()

### putRequest

    public void putRequest(String id,
                           javax.jms.Message request,
                           CountDownLatch latch)

  Parameters:
    `request` -

### putReply

    public void putReply(String id,
                         javax.jms.Message reply)

### get

    public javax.jms.Message get(String id)

  Get the reply message.

  Parameters:
    `id` - the id of the message
  Returns:
    the received message or `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.